#!/usr/bin/perl -w
use strict;

my %nametrans = ( "ANNIHILATION CLASS BATTLESHIP" => "ANNIHILATION BATTLESHIP",
                  "NOVA CLASS SUPER-DREADNOUGHT"  => "NOVA CLASS DREADNOUGHT",
                  "COBOL CLASS RESEARCH CRUISER"  => "COBOL CLASS RSRCH CRUISER"
                );
my $f;
my $i;
open HF, $ARGV[0] or die "$!";
while (read(HF, $f, 60) == 60) {
    ++$i;
    my ($name, $pic, $one, $t, $d, $m, $tank, $crew, $engines,
        $mass, $tech, $cargo, $bays, $torps, $beams, $mc) = unpack "A30v*", $f;
    my $races = "";
    my $comment = "";
    my $n = $name;
    my $mins = $t+$d+$m;
    $name = $nametrans{$name} if exists $nametrans{$name};
    $n =~ s/CLASS//g;
    $n =~ s/[^A-Za-z]+//g;
    print "\\newcommand{\\ship$n}{%
\\begin{ship}
\\Sname{$name}
\\Spic{$pic}
\\Sele{Minerals (-)}{$mins}
\\Sele{Price (-)}{$mc}
\\Sele{Fuel tank (+)}{$tank}
\\Sele{Cargo (+)}{$cargo}
\\Sele{Crew (+)}{$crew}
\\Sele{Engines (+)}{$engines}
\\Sele{Mass (+)}{$mass}
\\Sele{Tech (+)}{$tech}
\\Sele{Beams (+)}{$beams}
\\Sele{Torps (+)}{$torps}
\\Sele{Bays (+)}{$bays}
\\Scom{$races}
\\Scom{$comment}
\\end{ship}}\n";
}
